Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.plugin.SupplementPlugin.PlainTextProcessor
Interface PlainTextProcessor

All Superinterfaces:
  Plugin

All Known Implementing Classes:
  InformalSentenceFilter, SentenceSegmentor

    public interface PlainTextProcessor

extends Plugin

The plug-in interface is for Plain Text Processor, which performs pre-processing of morphological analysis. - Phase: The First Phase - Type: Supplement Plug-in

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, KAIST

Method Summary
`PlainSentence` | `doProcess(PlainSentence ps)` It performs pre-processing of the plain text before the input text were delivered to the morphological analyzer.
`PlainSentence` | `flush()` It returns the text which has been stored in the internal buffer.
`boolean` | `hasRemainingData()` It checks if there are some remaining text.

Methods inherited from interface kr.ac.kaist.swrc.jhannanum.plugin.Plugin
`initialize, shutdown`

Method Detail

### doProcess

    PlainSentence doProcess(PlainSentence ps)

  It performs pre-processing of the plain text before the input text were delivered to the morphological analyzer.

  Parameters:
    `ps` - - the plain text
  Returns:
    the result plain sentence after processing

### hasRemainingData

    boolean hasRemainingData()

  It checks if there are some remaining text. If it returns true, the HanNanum work flow will not give more data to this plug-in by passing null for doProcess(). It's because from the next phase the processing unit should be just one sentence. This mechanism allows the plug-in not to manage am input buffer.

  Returns:
    true: there are some remaining data, false: all given text were processed

### flush

    PlainSentence flush()

  It returns the text which has been stored in the internal buffer. This method is called by HanNanum work flow only if hasRemainingData() returns true.

  Returns:
    the data in the internal buffer, if the internal buffer is empty, null is returned

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD